Subject: Re: [PATCH v3 11/35] test-pkt-line: introduce a packet-line test helper

From: Brandon Williams <[email-masked]>
Date: Fri, 23 Feb 2018 13:22:31 -0800

On 02/22, Stefan Beller wrote:
> On Tue, Feb 6, 2018 at 5:12 PM, Brandon Williams <[email-masked]> wrote:
> 
> > +static void pack_line(const char *line)
> > +{
> > +       if (!strcmp(line, "0000") || !strcmp(line, "0000\n"))
> 
> From our in-office discussion:
> v1/v0 packs pktlines twice in http, which is not possible to
> construct using this test helper when using the same string
> for the packed and unpacked representation of flush and delim packets,
> i.e. test-pkt-line --pack $(test-pkt-line --pack 0000) would produce
> '0000' instead of '00090000\n'.
> To fix it we'd have to replace the unpacked versions of these pkts to
> something else such as "FLUSH" "DELIM".
> 
> However as we do not anticipate the test helper to be used in further
> tests for v0, this ought to be no big issue.
> Maybe someone else cares though?

I'm going to punt and say, if someone cares enough they can update this
test-helper when they want to use it for v1/v0 stuff.

-- 
Brandon Williams